[Deprecated]: V3.0

get

/ec-dc-svc/rest/v3.0/studies/{studyId}/{mode}/subjects/{subjectId}

Deprecated: Retrieves current subject details based on ID. It returns the mHealth Subject ID. API has been deprecated and moved to DIS (Data Integration Service), Path: /ec-dataintegration-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/{subjectId}

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : SubjectDto4
Type: object
Subject details extended with mHealth subject identifier
Show Source
  • Minimum Length: 0
    Maximum Length: 2048
    Comment for latest subject update
    Example: Initial enrollment
  • Minimum Length: 0
    Maximum Length: 500
    Free text description for the subject
    Example: Screened subject
  • Date of birth
  • Minimum Length: 0
    Maximum Length: 255
    Reason for enrollment failure, if any
    Example: Consent withdrawn
  • Minimum Length: 0
    Maximum Length: 255
    If subject enrollment is overridden.
    Example: Subject Enrollment Overridden
  • Event Type for Subject, can have value New, Screened, Randomized, Withdrawn, Undo_Withdrawn, Randomization_Replaced, Transferred, Screen_Failed, Undo_Randomization.
    Example: Screened
  • Minimum Length: 0
    Maximum Length: 10
    Gender value
    Example: [{"value":"1","label":"male"}]
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) of the subject
    Example: 1BC29B36F5D64B1B95F4BDBBCEA481BE
  • Informed consent date
    Example: 2025-09-25T09:00:00Z
  • Unique Identifier (UUID, 32-character uppercase hexadecimal string) of the subject in mHealth system.
    Example: 1BC29B36F5D64B1B95F4BDBBCEA481BE
  • Audit trail field that represents the version number of the data.
    Example: 14
  • Minimum Length: 0
    Maximum Length: 255
    Reason for latest subject update
    Example: Protocol break happened
  • Screening date if applicable
    Example: 2025-10-01T10:00:00Z
  • Minimum Length: 0
    Maximum Length: 255
    Reason for screening failure, if any
    Example: Inclusion criteria not met
  • Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: ABCDEF1234567890ABCDEF1234567890
  • Minimum Length: 0
    Maximum Length: 100
    Lifecycle state of the subject in the study. Reflects the subject???s current status. Common values include:
    • New
    • Active
    • Screening_Initiated
    • Screen_Failed
    • Withdrawn
    • Auto_Screen_Failed
    • Complete
    • Enrolled
    Example: Active
  • Timestamp when the subject transitioned to current state
    Example: 2025-10-16T14:30:31.892Z
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: ABCDEF1234567890ABCDEF1234567890
  • String representing the version of the study. Helps track changes in form or study design.
    Example: 3.0.0.1
  • Minimum Length: 0
    Maximum Length: 500
    Unique subject Number representing the patient/participant enrolled in the study.
    Example: SUBJ-0001
  • Unique Identifier(UUID, 32-character uppercase hexadecimal string) of a subject transfer if applicable
    Example: 1BC29B36F5D64B1B95F4BDBBCEA481BE
  • The timestamp marking the beginning of the validity period for this record version within the system.
    Example: 2025-10-16T14:30:31.892Z

400 Response

Bad request.
Body ()
Root Schema : DcsResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object
Back to Top